org.eclipse.microprofile.openapi.apps.petstore.data

## Class StoreData

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.data.StoreData

    public class StoreData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StoreData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `deleteOrder(long orderId)`
`Order` `findOrderById(long orderId)`
`Order` `placeOrder(Order order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StoreData

    public StoreData()

### Method Detail

#### findOrderById

    public Order findOrderById(long orderId)

#### placeOrder

    public Order placeOrder(Order order)

#### deleteOrder

    public boolean deleteOrder(long orderId)